﻿Type=Service
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public ListaContactos As Map
		
	'Public SERVIDOR As String="http://192.168.1.213:5675/SecretServiceWCF"
	Public SERVIDOR As String=""	
	Public strBroker As String = ""
	'Public strBroker As String = "tcp://m10.cloudmqtt.com:23473"
	Public strUser As String=""
	Public strPass As String=""
	
	Public AlturaItem As Int=77dip
	
	Dim objMqtt As MQTT
	Dim MensajesAEnviar As Map
	Dim MensajesEnviados As Map 'esto guarda el token
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Config.GetYo
	'If Config.Yo.NroMovil>0 Then
	
		Init
		
	'End If
	
End Sub

public Sub Init()
	
	Try
		LogColor("INIT", Colors.Blue)
		objMqtt.JavaDebug = True
		objMqtt.CleanSession = False
		objMqtt.Initialize("objMqtt")
		
		Config.VersionNueva
		
		ListaContactos = Config.GetContactosdb
		
		MensajesAEnviar.Initialize	
		MensajesEnviados.Initialize
		LogColor("FIN INIT", Colors.Blue)
	Catch
		Log("Starter - Init - " & LastException.Message)
	End Try
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	
	Try
		LogColor("START", Colors.Blue)
		
'		If Config.Hasnum=True Then
'			DoPublicar
'		End If
		
		StartServiceAt( "", DateTime.Now + 30 * DateTime.TicksPerSecond, True)
		
		LogColor("FIN START", Colors.Blue)
	
	Catch
		Log("Starter - Service_Start - " & LastException.Message)
	End Try
	
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub


